require 'vue_component_compiler/token'
require 'vue_component_compiler/tokenizer'
require 'vue_component_compiler/node'
require 'vue_component_compiler/parser'

module VueCompiler
  def parse(code)
    tokenizer = Tokenizer.new(code)
    parser = Parser.new(tokenizer.tokenize)
    parser.parse
  end

  module_function :parse
end
